net.sourceforge.pmd.ast

## Class AccessNodeTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.ast.AccessNodeTest

    public class AccessNodeTest
    extends ParserTst

### Nested Class Summary

Nested Classes
`static class` `AccessNodeTest.MyAccessNode`

### Constructor Summary

Constructors
Constructor and Description
`AccessNodeTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testAbstract()`
`void` `testFinal()`
`void` `testModifiersOnClassDecl()`
`void` `testNative()`
`void` `testPackagePrivate()`
`void` `testPrivate()`
`void` `testProtected()`
`void` `testPublic()`
`void` `testStatic()`
`void` `testStrict()`
`void` `testSynchronized()`
`void` `testTransient()`
`void` `testVolatile()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccessNodeTest

    public AccessNodeTest()

### Method Detail

#### testModifiersOnClassDecl

    public void testModifiersOnClassDecl()
                                  throws Throwable

Throws:
  `Throwable`

#### testStatic

    public void testStatic()

#### testPublic

    public void testPublic()

#### testProtected

    public void testProtected()

#### testPrivate

    public void testPrivate()

#### testFinal

    public void testFinal()

#### testSynchronized

    public void testSynchronized()

#### testVolatile

    public void testVolatile()

#### testTransient

    public void testTransient()

#### testNative

    public void testNative()

#### testAbstract

    public void testAbstract()

#### testStrict

    public void testStrict()

#### testPackagePrivate

    public void testPackagePrivate()

#### suite

    public static junit.framework.Test suite()